package com.caimei365.manager.controller.hehe.order;


import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.order.CmOrder;
import com.caimei365.manager.entity.order.CmReturnedPurchase;
import com.caimei365.manager.service.hehe.order.HeHeOrderService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/HeHe")
public class HeHeOrderApi {

    @Resource
    private HeHeOrderService orderService;

    /**
     * 订单列表
     * @param order
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/order/list")
    public ResponseJson<PaginationVo<CmOrder>> orderList(CmOrder order,
                                                         @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                         @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return orderService.orderList(order, pageNum, pageSize);
    }

    /**
     * 退款单列表
     * @param returnedPurchase
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/returnedPurchase/list")
    public ResponseJson<PaginationVo<CmReturnedPurchase>> returnedPurchaseList(CmReturnedPurchase returnedPurchase,
                                                                               @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                               @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return orderService.returnedPurchaseList(returnedPurchase, pageNum, pageSize);
    }
}
