package com.caimei365.manager.entity.hehe.product;

import com.caimei365.manager.entity.caimei.svip.CmSku;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 呵呵商城拼团商品Entity
 */
@Data
public class CollageProduct {

	private Integer id;
	/**
	 * 商品id
	 */
	private Integer productId;
	/**
	 * 列表展示的最低拼团价格
	 */
	private Double price;
	/**
	 * 单人限购量
	 */
	private Integer limitedNum;
	/**
	 * 不限购买量标识：1不限制，0限制
	 */
	private Integer unlimitedFlag;
	/**
	 * 拼团人数
	 */
	private Integer memberNum;
	/**
	 * 商品状态：0已下架，1已上架
	 */
	private Integer status;
	/**
	 * 添加时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String addTime;

	private List<CmSku> skus;
	/**
	 * 供应商名称
	 */
	private String shopName;
	/**
	 * 商品名称
	 */
	private String productName;
	/**
	 * 商品图片
	 */
	private String productImage;

}