package com.caimei365.manager.entity.order;

import com.caimei.po.CmReturnedPurchaseProduct;
import com.caimei.po.ShopOrderReturned;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 退货退款Entity
 */
@Data
public class CmReturnedPurchase {

    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 退款退货编号
     */
    private String returnedNo;
    /**
     * 主订单ID
     */
    private Integer orderId;
    /**
     * 组织id
     */
    private Integer organizeId;
    /**
     * 主订单号
     */
    private String orderNo;
    /**
     * 买家名
     */
    private String userName;
    /**
     * 子订单Id
     */
    private Integer shopOrderId;
    /**
     * 子订单编号
     */
    private String shopOrderNo;
    /**
     * 用户ID（买家）
     */
    private Integer userId;
    /**
     * 状态：1待审核、2审核通过、3审核不通过
     */
    private String status;
    /**
     * 退款方式 1有支付有退款(退款方式可多选具体参考以上金额)、4未支付无退款（未支付发起退款）
     */
    private String returnedWay;
    /**
     * 付款方式 付款方式 1建设银行7297, 2中信银行0897, 3中信银行7172, 4广发银行0115, 5广发银行5461
     */
    private String payType;
    /**
     * 发起该操作时订单状态快照：0待确认,11待收待发,12待收部发,13待收全发,21部收待发,22部收部发,23部收全发,
     * 31已收待发,32已收部发,33已收全发,4交易完成,5订单完成,6已关闭,7交易全退
     */
    private String operatingOrderStatus;
    /**
     * 退款(退货)总金额
     */
    private Double returnedPurchaseFee;
    /**
     * 退款总额(给买家)
     */
    private Double refundFee;
    /**
     * 自定义退款总额
     */
    private Double freeRefundFee;
    /**
     * todo 改成list
     * 凭证图片
     */
    private String image1;
    private String image2;
    private String image3;
    private String image4;
    private String image5;
    /**
     * 凭证图片
     */
    private String reviewImage1;
    private String reviewImage2;
    private String reviewImage3;
    private String reviewImage4;
    private String reviewImage5;
    /**
     * 审核备注
     */
    private String reviewRemarks;
    /**
     * 申请退款时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String returnTime;
    /**
     * 确认退款时间(审核退款时间)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String confirmReturnTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String beginReturnTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endReturnTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String beginConfirmReturnTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endConfirmReturnTime;

    /**
     * 退款退货商品列表(用于前端接收)
     */
    private List<List<CmReturnedPurchaseProduct>> cmReturnedPurchaseProductList;
    /**
     * 退款退货商品列表
     */
    private List<ShopOrderReturned> shopOrderReturnedList;
    /**
     * 退款退货商品列表
     */
    private List<CmReturnedPurchaseProduct> productList;
    /**
     * 能否退货  1 能 2 不能
     */
    private Integer returnGoodsStutas;
    /**
     * 银行账户名
     */
    private String bankAccountName;
    /**
     * 开户银行账户
     */
    private String bankAccountNo;
    /**
     * 开户银行
     */
    private String openBank;
    /**
     * 账户类型：1公账，2私账
     */
    private String bankAccountType;
    /**
     * 退账户余额
     */
    private Double refundBalanceFee;
    /**
     * 退线上退回
     */
    private Double refundOnlineFee;
    /**
     * 退线下转账
     */
    private Double refundOfflineFee;
    /**
     * 申请人ID
     */
    private Integer applicationUserId;
    /**
     * 审核人ID
     */
    private Integer reviewUserId;
    /**
     * 申请人
     */
    private String applicationUserName;
    /**
     * 审核人
     */
    private String reviewUserName;
    /**
     * 机构名
     */
    private String name;
    /**
     * 订单类型 0协销订单、 1普通订单、 2呵呵订单
     */
    private Integer orderType;
    /**
     * 退款模式 1按商品金额退款  2 自定义金额退款
     */
    private Integer refundType;
    /**
     * 时间开始 查询条件 申请时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String beginTime;
    /**
     * 时间结束  查询条件 申请时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endTime;
    /**
     * 子订单id
     */
    private Integer onlineShopOrderId;
    /**
     * 1跳转结算记录页面2跳转分账记录页面
     */
    private Integer pageType;
    private String bankNameType;
    private CmOrder newOrder;
}
